[EPIC] Build a Chromium-based PDF renderer service
Closed, ResolvedPublic

Description

Building a Chromium-based PDF renderer service (mediawiki-services-chromium-render) directly impacts the FY 2017-18 Q2 goal tracked in T181079: [GOAL] Provide an expanded reading experience by improving the ways that users can download articles of interest for later consumption.

This task tracks the building of this service.

Summary/Background

Following on from T172815: Improve stability and maintainability of our browser-based PDF render service, we (Readers Web) briefly investigated incorporating the puppeteer library into the existing Electron-based PDF renderer service (mediawiki-services-electron-render). In T176627: Trial replacing Electron with headless Chromium in the render service, we concluded that it was more efficient to build a distinct service wrapping the library. That task tracked the bootstrapping and initial implementation of that service wrapper. As the problem became better understood, more tasks were created to capture the remaining work. This task is intended as an umbrella task under which those additional tasks can be grouped.

Related Objects

phuedx created this task.Nov 22 2017, 6:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2017, 6:00 AM

^ Formalising the blocking relationship between the building of the service and its deployment.

ovasileva moved this task from Triage to Backlog on the Proton board.Dec 1 2017, 2:21 PM
ovasileva triaged this task as High priority.Jan 10 2018, 5:36 PM
phuedx changed the task status from Open to Stalled.EditedMar 7 2018, 4:19 PM
Jdlrobson changed the task status from Stalled to Open.Aug 10 2018, 6:29 PM
phuedx closed this task as Resolved.Sep 17 2018, 9:40 AM

All subtasks have been resolved. Being bold.